Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2276)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2277)
@@ -1942,48 +1948,50 @@
     USE kinds
 
-    CHARACTER (LEN=40) ::  region(0:9)  !< 
+    CHARACTER (LEN=40) ::  region(0:9)  !< label for statistic region
     
-    INTEGER(iwp) ::  pr_palm = 130          !< 
-    INTEGER(iwp) ::  statistic_regions = 0  !< 
+    INTEGER(iwp) ::  pr_palm = 130          !< maximum number of output profiles
+    INTEGER(iwp) ::  statistic_regions = 0  !< identifier for statistic regions
     
-    INTEGER(iwp) ::  u_max_ijk(3) = -1  !< 
-    INTEGER(iwp) ::  v_max_ijk(3) = -1  !< 
-    INTEGER(iwp) ::  w_max_ijk(3) = -1  !< 
+    INTEGER(iwp) ::  u_max_ijk(3) = -1  !< index values (i,j,k) of location where u_max occurs
+    INTEGER(iwp) ::  v_max_ijk(3) = -1  !< index values (i,j,k) of location where v_max occurs
+    INTEGER(iwp) ::  w_max_ijk(3) = -1  !< index values (i,j,k) of location where w_max occurs
     
-    LOGICAL ::  flow_statistics_called = .FALSE.  !< 
+    LOGICAL ::  flow_statistics_called = .FALSE.  !< flag that tells other routines if flow statistics was executed
+                                                  !< (after each timestep)
     
-    REAL(wp) ::  u_max  !< 
-    REAL(wp) ::  v_max  !< 
-    REAL(wp) ::  w_max  !< 
+    REAL(wp) ::  u_max  !< maximum of absolute u-veloctiy in entire domain
+    REAL(wp) ::  v_max  !< maximum of absolute v-veloctiy in entire domain
+    REAL(wp) ::  w_max  !< maximum of absolute w-veloctiy in entire domain
     
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height  !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divnew_l              !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divold_l              !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_substep             !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_pres                !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height  !< Siggi
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divnew_l              !< subdomain sum (_l) of divergence after pressure 
+                                                                       !< solver call (new)
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  sums_divold_l              !< subdomain sum (_l) of divergence before pressure
+                                                                       !< solver call (old)
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_substep             !< weighting factor for substeps in timestepping
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  weight_pres                !< substep weighting factor for pressure solver
     
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums             !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsts_bc_l   !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ts_value         !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsus_ws_l   !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsvs_ws_l   !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_us2_ws_l    !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_vs2_ws_l    !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ws2_ws_l    !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsnrs_ws_l  !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wspts_ws_l  !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqs_ws_l   !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqrs_ws_l  !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wssas_ws_l  !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsss_ws_l   !< 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ls_l        !< 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums             !< global sum array for the various output quantities
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsts_bc_l   !< subdomain sum of sensible heat flux in Bott-Chlond scheme
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ts_value         !< timeseries output array for the various output quantities
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsus_ws_l   !< subdomain sum of vertical momentum flux w'u' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsvs_ws_l   !< subdomain sum of vertical momentum flux w'v' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_us2_ws_l    !< subdomain sum of horizontal momentum flux u'u' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_vs2_ws_l    !< subdomain sum of horizontal momentum flux v'v' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ws2_ws_l    !< subdomain sum of vertical momentum flux w'w' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsnrs_ws_l  !< subdomain sum of vertical raindrop-number concentration flux w'nr' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wspts_ws_l  !< subdomain sum of vertical sensible heat flux w'pt' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqs_ws_l   !< subdomain sum of vertical latent heat flux w'q' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsqrs_ws_l  !< subdomain sum of vertical rainwater flux w'qr' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wssas_ws_l  !< subdomain sum of vertical salinity flux w'sa' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_wsss_ws_l   !< subdomain sum of vertical passive scalar flux w's' (5th-order advection scheme only)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sums_ls_l        !< subdomain sum of large scale forcing and nudging tendencies
                                               
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  hom_sum             !< 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rmask               !< 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l              !< 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l_l            !< 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_up_fraction_l  !< 
-
-    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  hom  !< 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  hom_sum             !< sum array for horizontal mean
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  rmask               !< REAL flag array (0.0 or 1.0) for statistic regions
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l              !< subdomain sum (_l) gathered for various quantities
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sums_l_l            !< subdomain sum (_l) of mixing length from diffusivities
+
+    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  hom  !< horizontal mean of various quantities (profiles/timeseries)
 
     SAVE
@@ -2002,5 +2010,5 @@
     USE kinds
 
-    INTEGER(iwp) ::  nxl_y   !< 
+    INTEGER(iwp) ::  nxl_y   !< Siggi (entire module)
     INTEGER(iwp) ::  nxl_yd  !< 
     INTEGER(iwp) ::  nxl_z   !< 
Index: /palm/trunk/SOURCE/nudging_mod.f90
===================================================================
--- /palm/trunk/SOURCE/nudging_mod.f90	(revision 2276)
+++ /palm/trunk/SOURCE/nudging_mod.f90	(revision 2277)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Removed unused variables lptnudge, lqnudge, lunudge, lvnudge, lwnudge
+! 
+! 2271 2017-06-09 12:34:55Z sward
 ! Error message changed
 ! 
@@ -130,6 +133,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  dt_3d, lptnudge, lqnudge, lunudge, lvnudge, lwnudge,         &
-                   message_string, ntnudge
+           ONLY:  dt_3d, message_string, ntnudge
 
        USE indices,                                                            &
@@ -266,12 +268,4 @@
        CLOSE ( finput )
 
-!
-!--    Prevent nudging if nudging profiles exhibt too small values
-!--    not used so far
-       lptnudge  = ANY( ABS( ptnudge ) > 1.0e-8_wp )
-       lqnudge   = ANY( ABS( qnudge )  > 1.0e-8_wp )
-       lunudge   = ANY( ABS( unudge )  > 1.0e-8_wp )
-       lvnudge   = ANY( ABS( vnudge )  > 1.0e-8_wp )
-       lwnudge   = ANY( ABS( wnudge )  > 1.0e-8_wp )
 
     END SUBROUTINE init_nudge
